Skip to content
Gowd Platform Production

Get Checkout by id

GET
/order/v1/checkout/{checkoutId}

Get checkout data by id

NOTE: Please, to authenticate use the scope: “api://app-order-prd”

checkoutId
required
string

The resource was returned successfully

object
id
required

The id of the checkout.

string
customer
required

The customer data

object
fullName
required

The name of the customer, e.g.: [John Doe] or [Acme Corporation].

string
type
required

The type of entity that owns the account.

string
Allowed values: INDIVIDUAL ORGANIZATION
document
required

The document of the Customer.

object
type
required

Type of document, used when providing an ID number.

----------------------------
Brasil
----------------------------
CPF
CNPJ
OTHERS
string
Allowed values: CPF CNPJ OTHERS
number
required

The number in the document.

string
email
required

The e-mail address of the Customer.

string
phone
required

The phone number of the Customer.

string
birth

The date of birth or foundation, in ISO-8601 YYYY-MM-DD format.

string
country
required

The country of the Merchant

string
Allowed values: AFG ALB DZA ASM AND AGO AIA ATA ATG ARG ARM ABW AUS AUT AZE BHS BHR BGD BRB BLR BEL BLZ BEN BMU BTN BOL BES BIH BWA BVT BRA IOT BRN BGR BFA BDI CPV KHM CMR CAN CYM CAF TCD CHL CHN CXR CCK COL COM COG COD COK CRI HRV CUB CUW CYP CZE DNK DJI DMA DOM ECU EGY SLV GNQ ERI EST ETH FLK FRO FJI FIN FRA GUF PYF ATF GAB GMB GEO DEU GHA GIB GRC GRL GRD GLP GUM GTM GGY GIN GNB GUY HTI HMD VAT HND HKG HUN ISL IND IDN IRN IRQ IRL IMN ISR ITA JAM JPN JEY JOR KAZ KEN KIR PRK KOR KWT KGZ LAO LVA LBN LSO LBR LBY LIE LTU LUX MAC MDG MWI MYS MDV MLI MLT MHL MTQ MRT MUS MYT MEX FSM MDA MCO MNG MNE MSR MAR MOZ MMR NAM NRU NPL NLD NCL NZL NIC NER NGA NIU NFK MNP NOR OMN PAK PLW PSE PAN PNG PRY PER PHL PCN POL PRT PRI QAT REU ROU RUS RWA BLM SHN KNA LCA MAF SPM VCT WSM SMR STP SAU SEN SRB SYC SLE SGP SXM SVK SVN SLB SOM ZAF SGS SSD ESP LKA SDN SUR SJM SWE CHE SYR TWN TJK TZA THA TLS TGO TKL TON TTO TUN TUR TKM TCA TUV UGA UKR ARE GBR USA UMI URY UZB VUT VEN VNM VGB VIR WLF ESH YEM ZMB ZWE
address

The address of the Customer.

object
state
required

State.

string
city
required

City.

string
street
required

Street.

string
neighborhood
required

Neighborhood.

string
number
required

Number.

string
complement
required

Complement.

string
postalCode
required

Postal code.

string
status
required

Status of the checkout.

string
description
required

Description of the checkout.

string
code
required

Code of the checkout.

string
paymentMethod
required

Payment method of the checkout.

string
amount
required

Amount of the checkout.

object
currency
required

Currency

string
Allowed values: BRL USD USDT BUSD
value
required

The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency

string
country
required

Country of the checkout.

string
redirectUrl
required

The URL to redirect the customer to after the checkout is completed.

string
webhookUrl
required

The URL to webhook that will be called when the checkout is completed.

string
universalLink
required

The URL of Checkout that customer access to make the payment.

string
errorMessage

Error message

string

The request is not valid

Array<string>

Unauthorized Request

Array<string>

An unexpected error occurred inside the server

Array<string>